Page MenuHomePhabricator

Do not remove Wikidata items when archiving extensions and skins
Closed, ResolvedPublicRequest

Description

The form to archive an extension or skin contains the following task:

  • Archive Wikidata item associated with documentation page (provide URL) (remove nearly all statements, except instance of (P31) = MediaWiki extension (Q6805426)/MediaWiki skin (Q21996535), which should add a qualifier end time (P582) = the YYYY-MM-DD date that you decided to archive extension/skin, generally per edit history, change English (and other languages if possible) description to "archived MediaWiki extension"/"archived MediaWiki skin" (and its translation)).

I find it irritating that all the data of archived extensions or skins are cleared from Wikidata. All the data is still valid or were valid at some point in time in the past. Instead of clearing the Wikidata item of the respective extension or skin it should be marked as abandoned instead like it was done e.g. here.

The situation is comparable to updating information of a person that just died. Nobody would come up with the idea to clear all Wikidata facts. Instead they are marked as deceased and a date of death is added. There is no difference when it comes to a software I believe.

Event Timeline

Kghbln created this task.Apr 24 2019, 1:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2019, 1:25 PM

@Dinoguy1000 This was not about who did what in the past and who is involved with Wikidata. This was about improving a flawed process here on Phabricator. Since I thought you were part of the team I pinged you too.

Sorry, it wasn't my intention to sound dismissive of your concern there. While I'd consider myself part of the Cleanup team, I'm not a member of any associated, formal WMF team, assuming there is any such team.

In any case, as I said in T214457#5133362, I have no problem with the proposed changes to the checklist.

Sorry, it wasn't my intention to sound dismissive of your concern there.

No worries.

I'm not a member of any associated, formal WMF team, assuming there is any such team.

I guess we are in search of the person who added this in the first place. Perhaps there was some kind of rational I currently cannot think of.

Aklapper renamed this task from Correcting the archival process of extensions and skins concerning updating Wikidata to Do not remove Wikidata items when archiving extensions and skins.Apr 30 2019, 5:50 PM
Aklapper added a project: Phabricator.
Dinoguy1000 added a comment.EditedApr 30 2019, 6:17 PM

It is, yes.

To piggyback on this task, the MediaWiki-extensions-General tag should be removed from the form and replaced with MediaWiki-extensions-Other - the "general" project is for tasks that affect the extension system or a large number of extensions, while the "other" project is for tasks affecting individual extensions which do not have their own Phabricator project. When this is done, the Add Phabricator project <#ProjectX> as a tag for this task, or #mediawiki-extensions-other/#other-skins if there is no project. item can also be shortened to remove the "or [...] if there is no project" bit, since those tags are already added by the form by default and must instead be removed as appropriate.

So who created the form? The respective person should be on here to comment and either change or dismiss.

I have no idea who created the form, and Phabricator doesn't seem to provide any simple method to check a form's history. IIRC @Aklapper has edited the form for us in the past when we've needed changes made (though correct me if I'm wrong). More generally, it would probably be best to get one of us set up with the permission to edit the form, but I have no idea what that would entail.

Well, this is about the technical process of changing it. Still interested in the rationale for removing the data. Perhaps there is a valid reason I currently cannot see for doing so.

Dinoguy1000 added a comment.EditedMay 16 2019, 8:46 AM

This task has been open for three weeks, and no one's come forward with such a reason yet. I'm inclined to just get the change done and see if someone complains.

Phabricator doesn't seem to provide any simple method to check a form's history.

Indeed the edit history of forms does not allow showing what was changed but only who made changes to which element. For the description field of https://phabricator.wikimedia.org/transactions/editengine/maniphest.task/view/33/ that's mmodell, aklapper, greg, Reedy, Legoktm, Krinkle.

To piggyback on this task, the MediaWiki-extensions-General tag should be removed from the form and replaced with MediaWiki-extensions-Other

Done.

I'm inclined to just get the change done and see if someone complains.

I agree. What is the exact proposal for the updated text for that item? Currently it says:

-- [ ] Archive Wikidata item associated with documentation page (provide URL) (remove nearly all statements, except `instance of (P31) = MediaWiki extension (Q6805426)/MediaWiki skin (Q21996535)`, which should add a qualifier `end time (P582) = the YYYY-MM-DD date that you decided to archive extension/skin, generally per edit history`, change English (and other languages if possible) description to "archived MediaWiki extension"/"archived MediaWiki skin" (and its translation)).
Kghbln added a comment.EditedMay 17 2019, 9:05 AM

I agree. What is the exact proposal for the updated text for that item?

Ok, let's move on. My suggestion:

-- [ ] Update Wikidata item associated with documentation page
--- [ ] add statement `Abandonware (Q281039)` to `instance of (P31)` together with qualifier `start time (P580)` = the YYYY-MM-DD (date that you decided to archive extension/skin generally per edit history)
--- [ ] add qualifier `end time (P582)` = the YYYY-MM-DD (same date as above) to `instance of (P31) = MediaWiki extension (Q6805426)/MediaWiki skin (Q21996535)`,
Kghbln closed this task as Resolved.Jul 2 2019, 2:23 PM
Kghbln assigned this task to Aklapper.

Anything else left to do here?

Not from my side. Thanks a ton for doing this! Closing as resolved. :)